# ActionEntity class Null safety

Implementers
  - GotoPageEntity
  - InternalActionEntity
  - OpenDialogEntity
  - PopupMenuEntity
  - SwitchAppEntity

## Constructors

ActionEntity(String? appID, {DisplayConditionsEntity? conditions, String? actionType})
  const

## Properties

actionType → String?
  final
appID → String?
  final
conditions → DisplayConditionsEntity?
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

copyWith({String? appId}) → ActionEntity
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
toDocument() → Map<String, Object?>
toString() → String
  A string representation of this object. [...]
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

fromMap(Map snap, {Map<String, String>? newDocumentIds}) → ActionEntity